| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreNodeAsStringHelper Class Reference

safely manages the return values to AbstractQoreNode::getAsString(), stack only, cannot be dynamically allocated More...

`#include <QoreStringNode.h>`

## Public Member Functions
DLLEXPORT | QoreNodeAsStringHelper (const AbstractQoreNode *n, int format_offset, ExceptionSink *xsink)
| makes the call to AbstractQoreNode::getAsString() and manages the return values
DLLEXPORT | QoreNodeAsStringHelper (const QoreValue n, int format_offset, ExceptionSink *xsink)
| makes the call to AbstractQoreNode::getAsString() and manages the return values
DLLEXPORT | ~QoreNodeAsStringHelper ()
| destroys the object and deletes the QoreString pointer being managed if it was a temporary pointer
DLLEXPORT QoreString * | giveString ()
| returns a copy of the QoreString that the caller owns More...
DLLEXPORT const QoreString * | operator* ()
| returns the object being managed More...
DLLEXPORT const QoreString * | operator-> ()
| returns the object being managed More...

## Detailed Description

safely manages the return values to AbstractQoreNode::getAsString(), stack only, cannot be dynamically allocated

// FMT_NONE gives all information on a single line
QoreNodeAsStringHelper str(n, FMT_NONE, xsink);
if (*xsink)
return 0;
printf("str='%s'\n", str->getBuffer());

## Member Function Documentation

## ◆ giveString()

DLLEXPORT QoreString* QoreNodeAsStringHelper::giveString | ( |  | ) |

returns a copy of the QoreString that the caller owns

the object may be left empty after this call

Returns
  a QoreString pointer owned by the caller

## ◆ operator*()

DLLEXPORT const QoreString* QoreNodeAsStringHelper::operator* | ( |  | ) |

returns the object being managed

Returns
  the object being managed

## ◆ operator->()

DLLEXPORT const QoreString* QoreNodeAsStringHelper::operator-> | ( |  | ) |

returns the object being managed

Returns
  the object being managed

The documentation for this class was generated from the following file:

- include/qore/QoreStringNode.h